package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ScoreUser;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2025-10-30
 */
public interface ScoreUserMapper
{
    /**
     * 查询【请填写功能名称】
     *
     * @param userId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public  ScoreUser selectScoreUserByUserId(Long userId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param scoreUser 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<ScoreUser> selectScoreUserList(ScoreUser scoreUser);

    /**
     * 新增【请填写功能名称】
     *
     * @param scoreUser 【请填写功能名称】
     * @return 结果
     */
    public int insertScoreUser(ScoreUser scoreUser);

    /**
     * 修改【请填写功能名称】
     *
     * @param scoreUser 【请填写功能名称】
     * @return 结果
     */
    public int updateScoreUser(ScoreUser scoreUser);

    /**
     * 删除【请填写功能名称】
     *
     * @param userId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteScoreUserByUserId(Long userId);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScoreUserByUserIds(Long[] userIds);

    ScoreUser selectScoreUserByOpenId(String userId);


}
